/*
 * Copyright 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.ui.unit.dp

internal object NavigationRailTokens {
    val ActiveFocusIconColor = ColorSchemeKeyTokens.OnSecondary
    val ActiveFocusLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val ActiveFocusStateLayerColor = ColorSchemeKeyTokens.OnSurface
    val ActiveHoverIconColor = ColorSchemeKeyTokens.OnSecondary
    val ActiveHoverLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val ActiveHoverStateLayerColor = ColorSchemeKeyTokens.OnSurface
    val ActiveIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val ActiveIndicatorColor = ColorSchemeKeyTokens.SecondaryContainer
    val ActiveIndicatorHeight = 32.0.dp
    val ActiveIndicatorShape = RoundedCornerShape(16.0.dp)
    val ActiveIndicatorWidth = 56.0.dp
    val ActiveLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val ActivePressedIconColor = ColorSchemeKeyTokens.OnSecondary
    val ActivePressedLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val ActivePressedStateLayerColor = ColorSchemeKeyTokens.OnSurface
    val ContainerColor = ColorSchemeKeyTokens.Surface
    val ContainerElevation = ElevationTokens.Level0
    val ContainerWidth = 80.0.dp
    val IconSize = 24.0.dp
    val InactiveFocusIconColor = ColorSchemeKeyTokens.OnSurface
    val InactiveFocusLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val InactiveFocusStateLayerColor = ColorSchemeKeyTokens.OnSurface
    val InactiveHoverIconColor = ColorSchemeKeyTokens.OnSurface
    val InactiveHoverLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val InactiveHoverStateLayerColor = ColorSchemeKeyTokens.OnSurface
    val InactiveIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val InactiveLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val InactivePressedIconColor = ColorSchemeKeyTokens.OnSurface
    val InactivePressedLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val InactivePressedStateLayerColor = ColorSchemeKeyTokens.OnSurface
    val LabelTextFont = TypographyKeyTokens.LabelMedium
    val MenuFocusIconColor = ColorSchemeKeyTokens.OnSurface
    val MenuFocusStateLayerColor = ColorSchemeKeyTokens.OnSurface
    val MenuHoverIconColor = ColorSchemeKeyTokens.OnSurface
    val MenuHoverStateLayerColor = ColorSchemeKeyTokens.OnSurface
    val MenuIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val MenuIconSize = 24.0.dp
    val MenuPressedIconColor = ColorSchemeKeyTokens.OnSurface
    val MenuPressedStateLayerColor = ColorSchemeKeyTokens.OnSurface
    val NoLabelActiveIndicatorHeight = 56.0.dp
    val NoLabelActiveIndicatorShape = RoundedCornerShape(28.0.dp)
}